---
# DESY Public Dataset Metadata definition © 2024 by Deutsches
# Elektronen-Synchrotron DESY is licensed under CC BY 4.0
id: https://public-data.desy.de/metadata/common
name: sample
prefixes:
  linkml: https://w3id.org/linkml/
  schema: http://schema.org/
imports: [linkml:types, base_types]
default_range: string
classes:
  Sample:
    abstract: true
    description: generic sample description
    attributes:
      chemical_composition:
        range: string
      temperature:
        range: TemperatureMeasurment
      pressure:
        range: PressureMeasurement
      environment:
        description: indentifier of specific sample environment
        range: string
        # Todo: see if this is feasable ... maybe sample envirenment should be split from sample completely
  SolidStateSample:
    is_a: Sample
  LiquidSurfaceSammple:
    is_a: Sample
    attributes:
      surface_tension:
        range: number
  MultiLayerSample:
    is_a: Sample
    attributes:
      layer_structure:
        range: string
        # Todo: see if feasable: use ORSO SampleModel String
